rem @echo OFF
set SRCPATH=%~dp0
set PRODUCTNAME1={2C901CA9-53F5-4BC0-8659-AB0C74455F9D}_is1
set REGPATH1="HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\%PRODUCTNAME1%"
set REGKEY="UninstallString"
set REGMACHINEINFO="HKEY_LOCAL_MACHINE\SOFTWARE\NEC\Home\MachineInfo"
set REGPRODUCTNAMEKEY="ProductName"
set BEQuietUninstallParam=/VERYSILENT
set NoRestartUninstallParam=/NORESTART
set VERPATH="HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion"
set CURVISION="CurrentBuild"
set REGMACHINEINFOLES="HKEY_LOCAL_MACHINE\SOFTWARE\NEC\MachineInfo"
set PRODUCTNAME2={975444B1-3153-4B26-8F09-64EAC5685DC1}_is1
set REGPATH2="HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\%PRODUCTNAME2%"


for /f "tokens=2,*" %%a in ('REG QUERY %VERPATH% /v %CURVISION%') do (
set MYVER= %%b
)

if defined MYVER (
	if %MYVER% GEQ 19041  (
		@echo Upper 20H1
	) else (
		@echo Below 20H1
		goto END 
	)
) else @echo no version

for /f "tokens=2,*" %%a in ('REG QUERY %REGMACHINEINFOLES% /v %REGPRODUCTNAMEKEY%') do (
set ProductNameLES= %%b
)

REG QUERY %REGMACHINEINFO% /s|find "HKEY_LOCAL_MACHINE"
IF ERRORLEVEL 1 (
	set ProductName= NONAME
) ELSE (
	for /f "tokens=2,*" %%a in ('REG QUERY %REGMACHINEINFO% /v %REGPRODUCTNAMEKEY%') do (
		set ProductName= %%b
	)	
)

for /f "tokens=2,*" %%a in ('REG QUERY %REGPATH2% /v %REGKEY%') do (
set RegValue2= %%b
)

set AIAgent1=NOINSTALL
if defined RegValue2 (
	@echo AIAgent1.0 Installed
	set AIAgent1=INSTALL
) 

rem Casper
if %ProductNameLES% == LDN201Q (
	if %ProductName% == NONAME (
		if %AIAgent1% == INSTALL (
			@echo Casper201Q
			REG ADD %REGMACHINEINFO% /v "ProductName" /t "REG_SZ" /d "LDN201Q" /f
			REG ADD %REGMACHINEINFO% /v "ProductType" /t "REG_SZ" /d "AllInOne" /f
		) else (
			@echo Casper203QCasper2
			REG ADD %REGMACHINEINFO% /v "ProductName" /t "REG_SZ" /d "LDN211Q" /f
			REG ADD %REGMACHINEINFO% /v "ProductType" /t "REG_SZ" /d "AllInOne" /f
		) 
	) else (
		if %AIAgent1% == INSTALL (
			@echo Casper201Q
		) else (
			@echo Casper203QCasper2
			REG ADD %REGMACHINEINFO% /v "ProductName" /t "REG_SZ" /d "LDN211Q" /f
			REG ADD %REGMACHINEINFO% /v "ProductType" /t "REG_SZ" /d "AllInOne" /f
		) 
	) 
)

if %ProductNameLES% == LSL202Q (
	@echo Kenshin
	REG ADD %REGMACHINEINFO% /v "ProductName" /t "REG_SZ" /d "LSL211Q" /f
	REG ADD %REGMACHINEINFO% /v "ProductType" /t "REG_SZ" /d "Notebook" /f
)

if %ProductNameLES% == LZN211Q (
	@echo Kanade-R
	REG ADD %REGMACHINEINFO% /v "ProductName" /t "REG_SZ" /d "LZN211Q" /f
	REG ADD %REGMACHINEINFO% /v "ProductType" /t "REG_SZ" /d "Notebook" /f
)

if %ProductNameLES% == LSL211Q (
	@echo Kenshin-R
	if %ProductName% == LSL202Q (
	REG ADD %REGMACHINEINFO% /v "ProductName" /t "REG_SZ" /d "LSL211Q" /f
	REG ADD %REGMACHINEINFO% /v "ProductType" /t "REG_SZ" /d "Notebook" /f
	)
)

if %ProductNameLES% == LNB211Q (
	@echo AndrinaSpearAdella
	if %ProductName% == LSL202Q (
	REG ADD %REGMACHINEINFO% /v "ProductName" /t "REG_SZ" /d "LNB211Q" /f
	REG ADD %REGMACHINEINFO% /v "ProductType" /t "REG_SZ" /d "Notebook" /f	
	)
)
	
:END